/*------------------------------------------------------------------------------------------

	Program:	FracApp 2.0
	File:		FracApp.r

	by Keith Rollin & Bo3b Johnson
	of Apple Macintosh Developer Technical Support

	Copyright  1988-1990 Apple Computer, Inc.
	All rights reserved.

------------------------------------------------------------------------------------------*/

/* ==============================   Includes   ================================= */

#ifndef __TYPES.R__
#include "Types.r"
#endif

#ifndef __SYSTYPES.R__
#include "SysTypes.r"
#endif

#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#if qTemplateViews
#ifndef __ViewTypes__
#include "ViewTypes.r"
#endif
#endif

/* =================   Standard and Default MacApp resources   ================== */

include $$Shell("ObjApp")$$Shell("XAppName") 'CODE';
include "MacApp.rsrc";
include "Dialog.rsrc";
include "Printing.rsrc";
include "Defaults.rsrc"  'cmnu' (1);		// Apple Menu
include "Defaults.rsrc"  'cmnu' (3);		// Edit Menus
include "Defaults.rsrc"  'cmnu' (128);		// Buzzwords
include "Defaults.rsrc"  'vers' (2);		// Overall package

#if qDebug
include "Debug.rsrc";
#endif


/* ==============================   Constants   ================================ */

// Menu items numbers

// #define mApple			1			// These are defined in MacAppTypes.r
// #define mFile			2
// #define mEdit			3
#define mZoomy				4
#define mOptions			5
#define mWindows			6

// Menu commands

#define cNewFromSelection	1000
#define cNewMultiPage		1001
#define cAnimate			1002
#define cJumble				1003
#define cNormal				1004
#define cUse32CQD			1005
#define cUseHomebrew		1006
#define cMake72dpi			1007
#define cMake300dpi			1008
#define cSlowAlgorithm		1009
#define cFastAlgorithm		1010
#define cFirstWindowBase	2000

// String list (STR#) resource numbers

#define	kErrorStrings		1100
#define	kAlgorithmStrings	1200

// ID numbers for our palettes and color table

#define	kClut				501
#define	kTolerantPalette	1001
#define	kAnimatingPalette	1002

// IDs for some dialogs

#define kMultiDialog		2002
#define kAbout				4000
#define kAbout2				4001
#define kUnsupportedMac		-25001
#define	kNo32BCQD			-25002
#define kCompiledWrong		-25003

/* ======================   Version Resource ('vers')   ======================== */

// Version for the application or file

resource 'vers' (1,
#if qNames
	"Application Version",
#endif
	purgeable) {
	0x02, 0x00, final, 0x00,
	verUs,
	"2.0",
	"FracApp 2.0, 1988-90 Apple Computer"
};

/* ============================   Bundle Stuff   =============================== */
/*
	Now all the baggage required for the Icons at the Finder.  No real program
	keeps the default Icon.  Herein is the BNDL, Arfz , ICN#, FREF resources
	required. The Arfz is the application type.
*/

resource 'BNDL' (128) {
	'Arfz', 0,
	{
		'ICN#', { 0, 128, 1, 129 },
		'FREF', { 0, 128, 1, 129 }
	}
};

resource 'FREF' (128) { 'APPL', 0, "" };
resource 'FREF' (129) { 'PICT', 1, "" };


// Icon used for our application

resource 'ICN#' (128) {
	{

		$"0000 0001 0000 0002 0000 0004 0040 0018 0020 0418 001C 03E0 001C 03E0 001F FFE0"
		$"0007 FFE0 0007 FFE0 0007 FF90 0007 FF80 FFFF FF80 FFFF FF80 DFFF FF80 EFFF FF80"
		$"F1FF FF80 F1FF FF80 F1FF FFE0 FE07 FFE0 FE07 C0E0 FE07 8050 FE07 3028 FE01 C810"
		$"FE0E 7F8F FFE2 3007 FFFF 0007 FFFF 8007 FFFF E007 FFFF FFE7 FFFF F01F FFFF F007",

		$"0000 0001 0000 0002 0000 0004 0040 0018 0020 0418 001C 03E0 001C 03E0 001F FFE0"
		$"0007 FFE0 0007 FFE0 0007 FF90 0007 FF80 FFFF FF80 FFFF FF80 FFFF FF80 FFFF FF80"
		$"FFFF FF80 FFFF FF80 FFFF FFE0 FFFF FFE0 FFFF FFE0 FFFF FFF0 FFFF FFF8 FFFF FFF0"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF F01F FFFF F007"
	}
};

// Icon used for our documents

resource 'ICN#' (129) {
	{

		$"0FFF FC00 0C00 0200 0A00 0100 0980 0080 0982 0040 087C 03A0 087C 0390 087F FF90"
		$"087F FE10 087F FE10 089F FE10 081F FE10 081F FFF0 081F FFF0 081F FFF0 081F FFF0"
		$"081F FFF0 081F FFF0 087F FFF0 0870 FFF0 0870 FFF0 0880 FFF0 0900 FFF0 0800 FFF0"
		$"0800 FFF0 0800 FFF0 0800 FFF0 0800 FFF0 0800 FFF0 0800 FFF0 0800 FFF0 0FFF FFF0",

		$"0FFF FC00 0FFF FE00 0FFF FF00 0FFF FF80 0FFF FFC0 0FFF FFE0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"
	}
};


/* =======================   Size Resource ('SIZE')   ========================== */

resource 'SIZE' (-1) {
	saveScreen,
	acceptSuspendResumeEvents,
	enableOptionSwitch,
	canBackground,
	MultiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	is32BitCompatible,
	reserved, reserved, reserved,
	reserved, reserved, reserved, reserved,

// In the best case, allow for 3 documents, the app, and some slop.
// At the minimum, allow for a document, the app, and some slop.

#if qDebug
	#define kAppCodeSize 350
	#define kOverheadSize 100
	#define kDocsize 480
	#define kSlopSize 60
#else
	#define kAppCodeSize 175
	#define kOverheadSize 75
	#define kDocsize 480
	#define kSlopSize 60
#endif

	(kAppCodeSize + kOverheadSize + (kDocSize * 3) + kSlopSize) * 1024,
	(kAppCodeSize + kOverheadSize + kDocSize + kSlopSize) * 1024
};


/* ======================   Memory Resource ('mem!')   ========================= */
/*
	The mem! resource that MacApp uses to know how much more space we need to
	reserve.  We reserve a big old 60K just for fun, so we dont have to narrow
	down the memory useage too closely.  This is big enough to cut us slack during
	the big picture playbacks.  A little wasteful.  We arent currently using the
	low space reserve, since we dont have many commands to implement. Our memory
	useage comes in big hunks so it is not as useful to watch for crossing a low
	memory barrier.  We tend to run out completely or not at all. We could check
	the space is low before allowing the new fractal operations, but currently it
	will fail during the allocation and let the user know. Somewhat less friendly,
	but adequate. The 60K number was found heuristically by examining the heap with
	Macsbug to see how big the code blocks are.
*/

resource 'mem!' (1000) {
		60 * 1024,		/* code reserve size */
		0,				/* low space reserve size */
		0				/* stack size */
};


/* ======================   Debugger Window ('dbug')   ========================= */
/*
	This, I say, is what I like. With MacApp 2.0, you specify the size, location,
	title, font, etc. of your debugger window. Since I have two monitors, Im going
	to stick the window way out on my left so that I can see it when the FracApp
	windows are busy covering the right. If you run this program on your computer
	and dont have a screen out there, then MacApp will just force it onto the
	screen for you at runtime.
*/

#if qDebug
#define monaco 4
resource 'dbug' (kDebugParamsID) {
	{ 200, -620, 470, -20 },	// location/size of window
	monaco, 9,					// font face, size
	120, 132,					// Height, width
	openInitially,				// open the window when app starts
	normal						// Title
};
#endif


/* ===========================   Menus ('cmnu')   ============================== */
/*
	For the menus, we set the enable flags to zero for simplicity.   The right
	pieces will get enabled by the MacApp handlers (DoSetUpMenus for whatever
	object can do it), so well start with disabled.
*/

resource 'cmnu' (mFile) {
	mFile, textMenuProc, 0, enabled, "File", {
		"New",					noIcon, "N", noMark, plain, cNew;
		"New from selection",	noIcon, noKey, noMark, plain, cNewFromSelection;
		"New multi-page",		noIcon, noKey, noMark, plain, cNewMultiPage;
		"Open",				noIcon, "O", noMark, plain, cOpen;
		"-",					noIcon, noKey, noMark, plain, nocommand;
		"Close",				noIcon, "W", noMark, plain, cClose;
		"Save",					noIcon, "S", noMark, plain, cSave;
		"Save As",				noIcon, noKey, noMark, plain, cSaveAs;
		"Save a Copy In",		noIcon, noKey, noMark, plain, cSaveCopy;
		"-",					noIcon, noKey, noMark, plain, nocommand;
		"Page Setup",			noIcon, noKey, noMark, plain, cPageSetup;
		"Print One",			noIcon, noKey, noMark, plain, cPrintOne;
		"Print",				noIcon, noKey, noMark, plain, cPrint;
		"-",					noIcon, noKey, noMark, plain, nocommand;
		"Quit",					noIcon, "Q", noMark, plain, cQuit
	}
};

resource 'cmnu' (mZoomy) {
	mZoomy, textMenuProc, 0, enabled, "Animate", {
		"Animate the Palette",			noIcon, noKey, noMark, plain, cAnimate;
		"Jumble the Palette",			noIcon, noKey, noMark, plain, cJumble;
		"Everything back to Normal",	noIcon, noKey, noMark, plain, cNormal;
	}
};

resource 'cmnu' (mOptions) {
	mOptions, textMenuProc, 0, enabled, "Options", {
		"Pixel-by-Pixel algorithm",				noIcon, noKey, noMark, plain, cSlowAlgorithm;
		"Mariani/Silver algorithm",				noIcon, noKey, noMark, plain, cFastAlgorithm;
		"-",									noIcon, noKey, noMark, plain, nocommand;
		"32-Bit QuickDraw offscreen routines",	noIcon, noKey, noMark, plain, cUse32CQD;
		"Homebrew offscreen routines",			noIcon, noKey, noMark, plain, cUseHomebrew;
		"-",									noIcon, noKey, noMark, plain, nocommand;
		"Generate at 72 dpi",					noIcon, noKey, noMark, plain, cMake72dpi;
		"Generate at 300 dpi",					noIcon, noKey, noMark, plain, cMake300dpi;
	}
};

resource 'cmnu' (mWindows) {
	mWindows, textMenuProc, 0, enabled, "Windows", {
		"This menu has no name, just words and a tune", noIcon, noKey, noMark, plain, cFirstWindowBase;
	}
};

resource 'MBAR' (128) { { mApple; mFile; mEdit; mZoomy; mOptions; mWindows } };


/* =====================   Selection Pattern ('PAT ')   ======================== */
/*
	Now the pattern that is used for the selection rectangle.
*/

resource 'PAT ' (128, preload, nonpurgeable) {
	$"FCF9 F3E7 CF9F 3F7E"
};


/* ============================   Handy Strings   ============================== */

resource 'STR#' (kAlgorithmStrings,
#if qNames
	"kAlgorithmStrings",
#endif
	purgeable) {
	{
	/* [1] */	"Using ";
	/* [2] */	"unknown algorithm";
	/* [3] */	"Pixel by Pixel";
	/* [4] */	"Mariani/Silver";
	/* [5] */	"/";
	/* [6] */	"Homebrew";
	/* [7] */	"32CQD";
	}
};


/* ===========================   Error Messages   ============================== */
/*
	List mapping of our error code to the info string. Error messages come in four
	flavors, depending on the value of the high word of the message parameter:


	msg.hiword			Message
	==========			=======
	msgCmdErr(0)		"Could not complete the ^2 command because ^0. ^1"
							^2 = result of CmdToName(msg.loword)
							^0 = LookupErrString(err, errReasonID)
							^1 = LookupErrString(err, errRecoveryID)
	msgAlert(-1)		Show Alert whose ID is in low word of the message.
						Doesnt call ParamText.
	msgLookup(-2)		"Could not ^2 because ^0.  ^1"
							^2 = LookupErrString(msg.loword, errOperationsID)
							^0 = LookupErrString(err, errReasonID)
							^1 = LookupErrString(err, errRecoveryID)
	msgAltRecovery(-3)	"Could not ^2 because ^0.  ^1"
							^2 = LookupErrString(msg.loword, errOperationsID)
							^0 = LookupErrString(msg.loword, errReasonID)
							^1 = LookupErrString(err, errRecoveryID)
	OTHERWISE			"Could not ^2 because ^0.  ^1"
							^2 = GetIndString(opString, c.hiword, c.loword)
							^0 = LookupErrString(err, errReasonID)
							^1 = LookupErrString(err, errRecoveryID)

	NOTES:
		^2 = what menu command failed (for msgCmdErr);		e.g., New.
		^2 = what operation failed (for all other errors);	e.g., save the document
		^0 = reason for error;		e.g., the disk is locked.
		^1 = how to recover;		e.g., Eject the disk and move the tab.

		^3 = gErrorParm3. You can embed ^3 into one of your substitution strings. For
			instance, say you wanted to display a message that referred to a currently
			open file. In that case, you could set gErrorParm3 to the name of the file,
			and use one of the incantations above to set ^2 to munge the file ^3. That
			way, ^3 will get replaced with the name of your file.

		If ^2 is ever empty, the phrase Could not complete your request because ^0.
			^1 is used in the dialog boxes.


	So how does this LookupErrString business work? What MacApp does is use a
	combination of errs and STR# resources. Each errs resource binds itself
	to a STR# resource, and then has a list of error number ranges that map into
	the strings in its STR# resource. The basic format is a triplet: bottom range
	of the error numbers, top range of the error numbers, and string index that is
	associated with an error in that range. For instance, the errs resource below
	says:

		I am associated with STR# kErrorStrings. If I am asked for the string
		 associated with error kUnsupportedMac, Ill return the string #4 in that STR#
		 resource. If I am asked for the string associated with error -151 or -152, Ill
		 return the fourth string in that resource.

	Normally, MacApp looks at errs resource 128 when it needs to fill in ^0 (the
	reason for the error), 129 when it needs to fill in ^1 (how to recover), and
	130 when it needs to fill in ^2 (the operation that failed). These resources
	are maintained by MacApp itself.

	However, MacApp first checks to see if the application wants to override or
	augment those tables by first looking for resources that have the ID it wants
	plus 1000. So below, we are adding to the list of reasons for the error (128 +
	1000).
*/

resource 'errs' (errReasonID + 1000, purgeable) {
	{	whichList, 0, kErrorStrings;			/* Specify to use STR# kErrorStrings */
		kUnsupportedMac, kUnsupportedMac, 2;	/* error code if wrong machine. */
		-152, -152, 4;						/* translate Color Manager error to out of mem. */
	}
};

resource 'errs' (errRecoveryID + 1000, purgeable) {
	{	whichList, 0, kErrorStrings;			/* Specify to use STR# kErrorStrings */
		kUnsupportedMac, kUnsupportedMac, 3;	/* error code if wrong machine. */
	}
};

resource 'errs' (errOperationsID + 1000, purgeable) {
	{	whichList, 0, kErrorStrings;			/* Specify to use STR# kErrorStrings */
		kUnsupportedMac, kUnsupportedMac, 1;	/* error code if wrong machine. */
	}
};

/* The info strings for our errors.  */

resource 'STR#' (kErrorStrings,
#if qNames
	"kErrorStrings",
#endif
	purgeable) {
	{
	/* [1] */	"start the application";
	/* [2] */	"Color QuickDraw, a 68881 or 68882 (FPU), a 68020 microprocessor, "
				"and at least System 6.0 are required";
	/* [3] */	"";
	/* [4] */	"there is not enough memory"
	}
};


/* used when the user attempts to run FracApp on an unsupported machine */

resource 'DITL' (kUnsupportedMac,
#if qNames
	"kUnsupportedMac",
#endif
	purgeable) {
	{
		{120, 220, 140, 280}, Button { enabled, "OK" };
		{10, 20, 42, 52}, Icon { disabled, 0 };			// stop Icon
		{10, 70, 115, 280}, StaticText { disabled,
			"Your computer needs Color QuickDraw, a 68881 or 68882 (FPU),"
#if qNeedsMC68020
			" a 68020 or 68030 microprocessor,"
#endif
#if qNeedsMC68030
			" a 68030 microprocessor,"
#endif
			" and at least System 6.0 to run FracApp." };
	}
};


resource 'DITL' (kNo32BCQD,
#if qNames
	"kNo32BCQD",
#endif
	purgeable) {
	{
		{120, 220, 140, 280}, Button { enabled, "OK" };
		{10, 20, 42, 52}, Icon { disabled, 1 };			// note Icon
		{10, 70, 115, 280}, StaticText { disabled,
			"FracApp performs some spiffy color animation if 32-bit Color QuickDraw "
			"is installed. You dont have it installed, so some menu items will be "
			"disabled (greyed out)." };
	}
};

#if !(qNeedsColorQD)
resource 'DITL' (kCompiledWrong,
#if qNames
	"kCompiledWrong",
#endif
	purgeable) {
	{
		{120, 320, 140, 380}, Button { enabled, "OK" };
		{10, 20, 42, 52}, Icon { disabled, 0 };			// stop Icon
		{10, 70, 115, 380}, StaticText { disabled,
			"FracApp absolutely needs to be compiled for Color QuickDraw and a Floating "
			"Point co-processor. Please make sure you use the -NeedsColorQD and "
			"-NeedsFPU options on your MABuild command line." };
	}
};
#endif

resource 'ALRT' (kUnsupportedMac,
#if qNames
	"kUnsupportedMac",
#endif
	purgeable) {
	{0, 0, 150, 300},
	kUnsupportedMac,
	{
		OK, visible, sound2;
		OK, visible, sound2;
		OK, visible, sound2;
		OK, visible, sound2;
	}
};


resource 'ALRT' (kNo32BCQD,
#if qNames
	"kNo32BCQD",
#endif
	purgeable) {
	{0, 0, 150, 300},
	kNo32BCQD,
	{
		OK, visible, sound1;
		OK, visible, sound1;
		OK, visible, sound1;
		OK, visible, sound1;
	}
};


#if !(qNeedsColorQD)
resource 'ALRT' (kCompiledWrong,
#if qNames
	"kCompiledWrong",
#endif
	purgeable) {
	{0, 0, 150, 400},
	kCompiledWrong,
	{
		OK, visible, sound2;
		OK, visible, sound2;
		OK, visible, sound2;
		OK, visible, sound2;
	}
};
#endif

/* =======================   Views/Windows ('view')   ========================== */
#define geneva9 plain, 9, { 0x0, 0x0, 0x0 }, "Geneva"

resource 'view' (kDefaultWindowID,
#if qNames
"kDefaultWindowID",
#endif
	purgeable) {
	{
		root, 'WIND',
		{ 40, 3 }, { 300, 495 }, sizeVariable, sizeVariable, shown, enabled,
		Window { "TFracAppWindow", zoomDocProc, goAwayBox, resizable, modeless,
			ignoreFirstClick, freeOnClosing, disposeOnFree, closesDocument, openWithDocument,
			adaptToScreen, stagger, forceOnScreen, dontCenter, 'FRAC', "" };

		'WIND', noid,
		{ 0, 0 }, { 17, 608 }, sizeFixed, sizeSuperView, shown, enabled,
		View { "" };

		'WIND', 'tCTL',
		{ 0, 0 }, { 17, 0 }, sizeFixed, sizeFixed, shown, disabled,
		StaticText { "", 0b0, {1, 1}, sizeable, notDimmed, notHilited,
			doesntDismiss, {2, 0, 0, 0}, geneva9, justLeft,
			"Calculation Time:" },

		'WIND', 'tCTm',
		{ 0, 0 }, { 17, 0 }, sizeFixed, sizeFixed, shown, disabled,
		StaticText { "TNoFlashStaticText", 0b0, {1, 1}, sizeable, notDimmed, notHilited,
			doesntDismiss, {2, 0, 0, 0}, geneva9, justLeft,
			"" },

		'WIND', 'tETL',
		{ 0, 0 }, { 17, 0 }, sizeFixed, sizeFixed, shown, disabled,
		StaticText { "", 0b0, {1, 1}, sizeable, notDimmed, notHilited,
			doesntDismiss, {2, 0, 0, 0}, geneva9, justLeft,
			"Elapsed Time:" },

		'WIND', 'tETm',
		{ 0, 0 }, { 17, 0 }, sizeFixed, sizeFixed, shown, disabled,
		StaticText { "TNoFlashStaticText", 0b0, {1, 1}, sizeable, notDimmed, notHilited,
			doesntDismiss, {2, 0, 0, 0}, geneva9, justLeft,
			"" },

		'WIND', 'tTYP',
		{ 0, 0 }, { 17, 0 }, sizeFixed, sizeFixed, shown, disabled,
		StaticText { "", 0b0, {1, 1}, sizeable, notDimmed, notHilited,
			doesntDismiss, {2, 0, 0, 0}, geneva9, justLeft,
			"" },

		'WIND', 'dBAR',
		{ 17, 0 }, { 3, 608 }, sizeFixed, sizeSuperView, shown, disabled,
		Control { "", adnLineTop+adnLineBottom, {1, 1}, sizeable, notDimmed,
			notHilited, doesntDismiss, {0, 0, 0, 0}, plain, 0, { 0x0, 0x0, 0x0 }, "" };

		'WIND', 'sBAR',
		{ 0, 0 }, { 1, 0 }, sizeFixed, sizeSuperView, shown, disabled,
		Control { "", adnLineTop, {1, 1}, sizeable, notDimmed, notHilited,
			doesntDismiss, {0, 0, 0, 0}, plain, 0, { 0x0, 0x0, 0x0 }, "" };

		'WIND', 'tPCT',
		{ 0, 0 }, { 17, 0 }, sizeFixed, sizeFixed, shown, disabled,
		StaticText { "TNoFlashStaticText", 0b0, {1, 1}, sizeable, notDimmed, notHilited,
			doesntDismiss, {0, 0, 0, 0}, geneva9, justRight,
			"" },

		'WIND', 'tPCL',
		{ 0, 0 }, { 17, 0 }, sizeFixed, sizeFixed, shown, disabled,
		StaticText { "", 0b0, {1, 1}, sizeable, notDimmed, notHilited,
			doesntDismiss, {0, 0, 0, 0}, geneva9, justLeft,
			"% Completed" },

		'WIND', 'SCLR',
		{ 20, 0 }, { 300-20-kSBarSizeMinus1, 495-kSBarSizeMinus1 },
		sizeRelSuperView, sizeRelSuperView, shown, enabled,
		Scroller { "", vertScrollBar, horzScrollBar, 0, 0, 16, 16, vertConstrain,
			horzConstrain, { 0, 100, 0, 0 } };

		'SCLR',IncludeViews	{ kDefaultViewID }
	}
};

resource 'view' (kDefaultViewID,
#if qNames
"kDefaultViewID",
#endif
	purgeable) {
	{
		root, 'FRAC',
		{ 0, 0 }, { 798, 608 }, sizeFixed, sizeFixed, shown, enabled,
		View { "TFracAppView" }
	}
};


resource 'view' (KMultiDialog,
#if qNames
"MultiPage Modal",
#endif
	purgeable) {
	{
		root, 'wind',
		{ 50, 40 }, { 192, 352 }, sizeFixed, sizeFixed, shown, enabled,
		Window { "", dBoxProc, noGoAwayBox, notResizable, modal, ignoreFirstClick,
			dontFreeOnClosing, disposeOnFree, closesDocument, openWithDocument,
			dontAdaptToScreen,  dontStagger, dontForceOnScreen, center, 'HORZ', "<<<>>>" },

		'wind', 'DLOG',
		{ 0, 0 }, { 192, 352 }, sizeSuperView, sizeSuperView, shown, enabled,
		DialogView { "", 'OKOK', 'CANC' },

		'DLOG', noid,
		{ 16, 16 }, { 32, 320 }, sizeFixed, sizeFixed, shown, disabled,
		StaticText { "", 0b0, {1, 1}, sizeable, notDimmed, notHilited,
			doesntDismiss, {0, 0, 0, 0}, plain, 0, { 0x0, 0x0, 0x0 }, "", justLeft,
			"Multiple documents will be created based on the selection.  How many pages "
			"would you like?" },

		'DLOG', noid,
		{ 64, 96 }, { 16, 96 }, sizeFixed, sizeFixed, shown, disabled,
		StaticText { "", 0b0, {1, 1}, sizeable, notDimmed, notHilited,
			doesntDismiss, {0, 0, 0, 0}, plain, 0, { 0x0, 0x0, 0x0 }, "", justLeft,
			"Horizontally:" },

		'DLOG', noid,
		{ 96, 96 }, { 16, 96 }, sizeFixed, sizeFixed, shown, disabled,
		StaticText { "", 0b0, {1, 1}, sizeable, notDimmed, notHilited,
			doesntDismiss, {0, 0, 0, 0}, plain, 0, { 0x0, 0x0, 0x0 }, "", justLeft,
			"Vertically:" },

		'DLOG', 'OKOK',
		{ 140, 28 }, { 40, 120 }, sizeFixed, sizeFixed, shown, enabled,
		Button { "", 0b1000000, {3, 3}, notSizeable, notDimmed, notHilited,
			dismisses, {4, 4, 4, 4}, plain, 0, { 0x0, 0x0, 0x0 }, "",
			"OK" },

		'DLOG', 'CANC',
		{ 144, 192 }, { 32, 112 }, sizeFixed, sizeFixed, shown, enabled,
		Button { "", 0b0, {1, 1}, notSizeable, notDimmed, notHilited,
			dismisses, {4, 4, 4, 4}, plain, 0, { 0x0, 0x0, 0x0 }, "",
			"Cancel" },

		'DLOG', 'HORZ',
		{ 62, 224 }, { 20, 32 }, sizeFixed, sizeFixed, shown, enabled,
		NumberText { "", 0b1111, {1, 1}, notSizeable, notDimmed, notHilited,
			doesntDismiss, {2, 2, 2, 2}, plain, 0, { 0x0, 0x0, 0x0  }, "", justLeft, "10",
			unlimited, 0b11110000000000000000000100000000, 10, 1, 100 },

		'DLOG', 'VERT',
		{ 94, 224 }, { 20, 32 }, sizeFixed, sizeFixed, shown, enabled,
		NumberText { "", 0b1111, {1, 1}, notSizeable, notDimmed, notHilited,
			doesntDismiss, {2, 2, 2, 2}, plain, 0, { 0x0, 0x0, 0x0  }, "", justLeft, "10",
			unlimited, 0b11110000000000000000000100000000, 10, 1, 100 },
	}
};

// About box dudes.

resource 'view' (kAbout,
#if qNames
"About...",
#endif
	purgeable) {
	{
		root, 'wind',
		{ 50, 40 }, { 264, 416 }, sizeVariable, sizeVariable, shown, enabled,
		Window { "", dBoxProc, noGoAwayBox, notResizable, modal, ignoreFirstClick,
			dontFreeOnClosing, disposeOnFree, closesDocument, openWithDocument,
			dontAdaptToScreen, dontStagger, dontForceOnScreen, center, 'okok', "<<<>>>" },

		'wind', 'DLOG',
		{ 0, 0 }, { 264, 416 }, sizeFixed, sizeFixed, shown, enabled,
		DialogView { "", 'okok', noID },

		'DLOG', 'icon',
		{ 16, 16 }, { 48, 48 }, sizeFixed, sizeFixed, shown, enabled,
		Icon { "", 0b0, {1, 1}, sizeable, notDimmed, notHilited, dismisses,
			{0, 0, 0, 0}, plain, 0, { 0x0, 0x0, 0x0 }, "", preferColor, kAbout },

		'DLOG', noid,
		{ 16, 96 }, { 24, 304 }, sizeFixed, sizeFixed, shown, disabled,
		StaticText { "", 0b0, {1, 1}, sizeable, notDimmed, notHilited,
			doesntDismiss, {0, 0, 0, 0}, 4, 24, { 0xFFFF, 0x0, 0x0 }, "Times",
			justCenter, "FracApp 2.0" },

		'DLOG', noid,
		{ 48, 96 }, { 32, 304 }, sizeFixed, sizeFixed, shown, disabled,
		StaticText { "", 0b0, {1, 1}, sizeable, notDimmed, notHilited,
			doesntDismiss, {0, 0, 0, 0}, plain, 0, { 0x0, 0x0, 0x0 }, "A", justCenter,
			"Brought to you by: Keith Rollin\n"
			"of Macintosh Developer Technical Support" },

		'DLOG', noid,
		{ 88, 120 }, { 16, 256 }, sizeFixed, sizeFixed, shown, disabled,
		StaticText { "", 0b0, {1, 1}, sizeable, notDimmed, notHilited,
			doesntDismiss, {0, 0, 0, 0}, plain, 0, { 0x0, 0x0, 0x0 }, "A", justLeft,
			"Special Thanks to all the little people:" },

		'DLOG', noid,
		{ 112, 112 }, { 16, 16 }, sizeFixed, sizeFixed, shown, disabled,
		StaticText { "", 0b0, {1, 1}, sizeable, notDimmed, notHilited,
			doesntDismiss, {0, 0, 0, 0}, plain, 0, { 0x0, 0x0, 0x0 }, "", justLeft, "" },

		'DLOG', noid,
		{ 112, 128 }, { 32, 272 }, sizeFixed, sizeFixed, shown, disabled,
		StaticText { "", 0b0, {1, 1}, sizeable, notDimmed, notHilited,
			doesntDismiss, {0, 0, 0, 0}, plain, 0, { 0x0, 0x0, 0x0 }, "A", justLeft,
			"Bo3b Johnson for pioneering the way, and for the neat name." },

		'DLOG', noid,
		{ 152, 112 }, { 16, 16 }, sizeFixed, sizeFixed, shown, disabled,
		StaticText { "", 0b0, {1, 1}, sizeable, notDimmed, notHilited,
			doesntDismiss, {0, 0, 0, 0}, plain, 0, { 0x0, 0x0, 0x0 }, "", justLeft, "" },

		'DLOG', noid,
		{ 152, 128 }, { 32, 272 }, sizeFixed, sizeFixed, shown, disabled,
		StaticText { "", 0b0, {1, 1}, sizeable, notDimmed, notHilited,
			doesntDismiss, {0, 0, 0, 0}, plain, 0, { 0x0, 0x0, 0x0 }, "A", justLeft,
			"Jon Zap and Guillermo Ortiz for their QuickDraw expertise." },

		'DLOG', noid,
		{ 192, 112 }, { 16, 16 }, sizeFixed, sizeFixed, shown, disabled,
		StaticText { "", 0b0, {1, 1}, sizeable, notDimmed, notHilited,
			doesntDismiss, {0, 0, 0, 0}, plain, 0, { 0x0, 0x0, 0x0 }, "", justLeft, "" },

		'DLOG', noid,
		{ 192, 128 }, { 16, 272 }, sizeFixed, sizeFixed, shown, disabled,
		StaticText { "", 0b0, {1, 1}, sizeable, notDimmed, notHilited,
			doesntDismiss, {0, 0, 0, 0}, plain, 0, { 0x0, 0x0, 0x0 }, "A", justLeft,
			"Rich Collyer Bunny for his FPU tips." },

		'DLOG', noid,
		{ 216, 112 }, { 16, 16 }, sizeFixed, sizeFixed, shown, disabled,
		StaticText { "", 0b0, {1, 1}, sizeable, notDimmed, notHilited,
			doesntDismiss, {0, 0, 0, 0}, plain, 0, { 0x0, 0x0, 0x0 }, "", justLeft, "" },

		'DLOG', noid,
		{ 216, 128 }, { 32, 272 }, sizeFixed, sizeFixed, shown, disabled,
		StaticText { "", 0b0, {1, 1}, sizeable, notDimmed, notHilited,
			doesntDismiss, {0, 0, 0, 0}, plain, 0, { 0x0, 0x0, 0x0 }, "A", justLeft,
			"Arthur Britto at OMI for his suggestion on the Mariani/Silver algorithm." },

		'DLOG', 'box ',
		{ 112, 16 }, { 96, 80 }, sizeVariable, sizeVariable, shown, disabled,
		Control { "", 0b10001111, {1, 1}, sizeable, notDimmed, notHilited,
			doesntDismiss, {0, 0, 0, 0}, plain, 0, { 0x0, 0x0, 0x0 }, "" },

		'box ', noid,
		{ 1, 1 }, { 93, 77 }, sizeFixed, sizeFixed, shown, disabled,
		StaticText { "", 0b0, {1, 1}, sizeable, notDimmed, notHilited,
			doesntDismiss, {3, 3, 3, 3}, plain, 9, { 0x0, 0x0, 0xFFFF }, "A", justCenter,
			"This program was written with \n"
			"MacApp 2.0\n"
			" 1985-1990 Apple Computer, Inc." },

		'DLOG', 'okok',
		{ 216, 16 }, { 32, 80 }, sizeFixed, sizeFixed, shown, enabled,
		Button { "", 0b1000000, {3, 3}, sizeable, notDimmed, notHilited,
			dismisses, {4, 4, 4, 4}, plain, 0, { 0x0, 0x0, 0x0 }, "", "OK" },

	}
};

resource 'view' (kAbout2, purgeable) {
	{
		root, 'wind',
		{ 50, 40 }, { 112, 176 }, sizeVariable, sizeVariable, shown, enabled,
		Window { "", dBoxProc, noGoAwayBox, notResizable, modal, ignoreFirstClick,
			dontFreeOnClosing, disposeOnFree, closesDocument, openWithDocument,
			dontAdaptToScreen, dontStagger, dontForceOnScreen, center, 'okok', "<<<>>>" },

		'wind', 'DLOG',
		{ 0, 0 }, { 112, 176 }, sizeFixed, sizeFixed, shown, enabled,
		DialogView { "", 'okok', noID },

		'DLOG', noid,
		{ 16, 16 }, { 32, 144 }, sizeFixed, sizeFixed, shown, disabled,
		StaticText { "", 0b0, {1, 1}, sizeable, notDimmed, notHilited,
			doesntDismiss, {0, 0, 0, 0}, plain, 0, { 0x0, 0x0, 0x0 }, "", justCenter,
			"Dont mess with the FracApp icon!!!" },

		'DLOG', 'okok',
		{ 64, 32 }, { 32, 112 }, sizeFixed, sizeFixed, shown, enabled,
		Button { "", 0b1000000, {3, 3}, sizeable, notDimmed, notHilited,
			dismisses, {4, 4, 4, 4}, plain, 0, { 0x0, 0x0, 0x0 }, "", "Im bad" },
	}
};

/* =======================   About Box Icon ('ICON')   ========================= */

/* The icon used in the about box.  The same as the program ICN#, but ICON instead. */

resource 'ICON' (kAbout, purgeable) {
	$"0000 0001 0000 0002 0000 0004 0040 0018 0020 0418 001C 03E0 001C 03E0 001F FFE0"
	$"0007 FFE0 0007 FFE0 0007 FF90 0007 FF80 FFFF FF80 FFFF FF80 DFFF FF80 EFFF FF80"
	$"F1FF FF80 F1FF FF80 F1FF FFE0 FE07 FFE0 FE07 C0E0 FE07 8050 FE07 3028 FE01 C810"
	$"FE0E 7F8F FFE2 3007 FFFF 0007 FFFF 8007 FFFF E007 FFFF FFE7 FFFF F01F FFFF F007"
};

/* =========================   Color Table ('clut')   ========================== */
/*
	The brave new approach.  This will be the clut resource that we use to do the
	color table for the offscreen bitmap.  This is a set of colors that we
	specifically want in our bitmap, the only ones that we use. This table has all
	the artificial requirements that a color table normally has, like having white
	first, black last. This color table is the one really desired for the actual
	fractals, so it will be used only for the offscreen map.  Resource Id is to be
	in 0..1023 to start with, since it will become the initial ctSeed number.
*/

resource 'clut' (kClut,
#if qNames
	"kClut",
#endif
	preload) {
	0x0,			/* seed number for this table, left zero for resources */
	0xC000,			/* ctFlags: for gDevice, animating colors */
	{
/*
	Now the actual colors in the table. Look at what we set the colorSpec.value
	fields to. These values reference the animated entries in the palette we use
	for our windows; they are the ones we want to match when we Copybits our
	offscreen stuff to the window.
*/

/* [1] */	0x00, 0xFFFF, 0xFFFF, 0xFFFF,	/* first color must be white of course. */
/* [2] */	0x10, 0xFFFF, 0x0000, 0x0000,
/* [3] */	0x11, 0xFFFF, 0x0400, 0x0000,
/* [4] */	0x12, 0xFFFF, 0x0800, 0x0000,
/* [5] */	0x13, 0xFFFF, 0x0C00, 0x0000,
/* [6] */	0x14, 0xFFFF, 0x1000, 0x0000,
/* [7] */	0x15, 0xFFFF, 0x1400, 0x0000,
/* [8] */	0x16, 0xFFFF, 0x1800, 0x0000,
/* [9] */	0x17, 0xFFFF, 0x1C00, 0x0000,
/* [10] */	0x18, 0xFFFF, 0x2000, 0x0000,
/* [11] */	0x19, 0xFFFF, 0x2400, 0x0000,
/* [12] */	0x1A, 0xFFFF, 0x2800, 0x0000,
/* [13] */	0x1B, 0xFFFF, 0x2C00, 0x0000,
/* [14] */	0x1C, 0xFFFF, 0x3000, 0x0000,
/* [15] */	0x1D, 0xFFFF, 0x3400, 0x0000,
/* [16] */	0x1E, 0xFFFF, 0x3800, 0x0000,
/* [17] */	0x1F, 0xFFFF, 0x3C00, 0x0000,
/* [18] */	0x20, 0xFFFF, 0x4000, 0x0000,
/* [19] */	0x21, 0xFFFF, 0x4400, 0x0000,
/* [20] */	0x22, 0xFFFF, 0x4800, 0x0000,
/* [21] */	0x23, 0xFFFF, 0x4C00, 0x0000,
/* [22] */	0x24, 0xFFFF, 0x5000, 0x0000,
/* [23] */	0x25, 0xFFFF, 0x5400, 0x0000,
/* [24] */	0x26, 0xFFFF, 0x5800, 0x0000,
/* [25] */	0x27, 0xFFFF, 0x5C00, 0x0000,
/* [26] */	0x28, 0xFFFF, 0x6000, 0x0000,
/* [27] */	0x29, 0xFFFF, 0x6400, 0x0000,
/* [28] */	0x2A, 0xFFFF, 0x6800, 0x0000,
/* [29] */	0x2B, 0xFFFF, 0x6C00, 0x0000,
/* [30] */	0x2C, 0xFFFF, 0x7000, 0x0000,
/* [31] */	0x2D, 0xFFFF, 0x7400, 0x0000,
/* [32] */	0x2E, 0xFFFF, 0x7800, 0x0000,
/* [33] */	0x2F, 0xFFFF, 0x7C00, 0x0000,
/* [34] */	0x30, 0xFFFF, 0x8000, 0x0000,
/* [35] */	0x31, 0xFFFF, 0x8400, 0x0000,
/* [36] */	0x32, 0xFFFF, 0x8800, 0x0000,
/* [37] */	0x33, 0xFFFF, 0x8C00, 0x0000,
/* [38] */	0x34, 0xFFFF, 0x9000, 0x0000,
/* [39] */	0x35, 0xFFFF, 0x9400, 0x0000,
/* [40] */	0x36, 0xFFFF, 0x9800, 0x0000,
/* [41] */	0x37, 0xFFFF, 0x9C00, 0x0000,
/* [42] */	0x38, 0xFFFF, 0xA000, 0x0000,
/* [43] */	0x39, 0xFFFF, 0xA400, 0x0000,
/* [44] */	0x3A, 0xFFFF, 0xA800, 0x0000,
/* [45] */	0x3B, 0xFFFF, 0xAC00, 0x0000,
/* [46] */	0x3C, 0xFFFF, 0xB000, 0x0000,
/* [47] */	0x3D, 0xFFFF, 0xB400, 0x0000,
/* [48] */	0x3E, 0xFFFF, 0xB800, 0x0000,
/* [49] */	0x3F, 0xFFFF, 0xBC00, 0x0000,
/* [50] */	0x40, 0xFFFF, 0xC000, 0x0000,
/* [51] */	0x41, 0xFFFF, 0xC400, 0x0000,
/* [52] */	0x42, 0xFFFF, 0xC800, 0x0000,
/* [53] */	0x43, 0xFFFF, 0xCC00, 0x0000,
/* [54] */	0x44, 0xFFFF, 0xD000, 0x0000,
/* [55] */	0x45, 0xFFFF, 0xD400, 0x0000,
/* [56] */	0x46, 0xFFFF, 0xD800, 0x0000,
/* [57] */	0x47, 0xFFFF, 0xDC00, 0x0000,
/* [58] */	0x48, 0xFFFF, 0xE000, 0x0000,
/* [59] */	0x49, 0xFFFF, 0xE400, 0x0000,
/* [60] */	0x4A, 0xFFFF, 0xE800, 0x0000,
/* [61] */	0x4B, 0xFFFF, 0xEC00, 0x0000,
/* [62] */	0x4C, 0xFFFF, 0xF000, 0x0000,
/* [63] */	0x4D, 0xFFFF, 0xF400, 0x0000,
/* [64] */	0x4E, 0xFFFF, 0xF800, 0x0000,
/* [65] */	0x4F, 0xFFFF, 0xFC00, 0x0000,
/* [66] */	0x50, 0xFFFF, 0xFFFF, 0x0000,	/* end of first set.  */
/* [67] */	0x51, 0x0000, 0xFFFF, 0x0000,
/* [68] */	0x52, 0x0000, 0xFFFF, 0x0400,
/* [69] */	0x53, 0x0000, 0xFFFF, 0x0800,
/* [70] */	0x54, 0x0000, 0xFFFF, 0x0C00,
/* [71] */	0x55, 0x0000, 0xFFFF, 0x1000,
/* [72] */	0x56, 0x0000, 0xFFFF, 0x1400,
/* [73] */	0x57, 0x0000, 0xFFFF, 0x1800,
/* [74] */	0x58, 0x0000, 0xFFFF, 0x1C00,
/* [75] */	0x59, 0x0000, 0xFFFF, 0x2000,
/* [76] */	0x5A, 0x0000, 0xFFFF, 0x2400,
/* [77] */	0x5B, 0x0000, 0xFFFF, 0x2800,
/* [78] */	0x5C, 0x0000, 0xFFFF, 0x2C00,
/* [79] */	0x5D, 0x0000, 0xFFFF, 0x3000,
/* [80] */	0x5E, 0x0000, 0xFFFF, 0x3400,
/* [81] */	0x5F, 0x0000, 0xFFFF, 0x3800,
/* [82] */	0x60, 0x0000, 0xFFFF, 0x3C00,
/* [83] */	0x61, 0x0000, 0xFFFF, 0x4000,
/* [84] */	0x62, 0x0000, 0xFFFF, 0x4400,
/* [85] */	0x63, 0x0000, 0xFFFF, 0x4800,
/* [86] */	0x64, 0x0000, 0xFFFF, 0x4C00,
/* [87] */	0x65, 0x0000, 0xFFFF, 0x5000,
/* [88] */	0x66, 0x0000, 0xFFFF, 0x5400,
/* [89] */	0x67, 0x0000, 0xFFFF, 0x5800,
/* [90] */	0x68, 0x0000, 0xFFFF, 0x5C00,
/* [91] */	0x69, 0x0000, 0xFFFF, 0x6000,
/* [92] */	0x6A, 0x0000, 0xFFFF, 0x6400,
/* [93] */	0x6B, 0x0000, 0xFFFF, 0x6800,
/* [94] */	0x6C, 0x0000, 0xFFFF, 0x6C00,
/* [95] */	0x6D, 0x0000, 0xFFFF, 0x7000,
/* [96] */	0x6E, 0x0000, 0xFFFF, 0x7400,
/* [97] */	0x6F, 0x0000, 0xFFFF, 0x7800,
/* [98] */	0x70, 0x0000, 0xFFFF, 0x7C00,
/* [99] */	0x71, 0x0000, 0xFFFF, 0x8000,
/* [100] */	0x72, 0x0000, 0xFFFF, 0x8400,
/* [101] */	0x73, 0x0000, 0xFFFF, 0x8800,
/* [102] */	0x74, 0x0000, 0xFFFF, 0x8C00,
/* [103] */	0x75, 0x0000, 0xFFFF, 0x9000,
/* [104] */	0x76, 0x0000, 0xFFFF, 0x9400,
/* [105] */	0x77, 0x0000, 0xFFFF, 0x9800,
/* [106] */	0x78, 0x0000, 0xFFFF, 0x9C00,
/* [107] */	0x79, 0x0000, 0xFFFF, 0xA000,
/* [108] */	0x7A, 0x0000, 0xFFFF, 0xA400,
/* [109] */	0x7B, 0x0000, 0xFFFF, 0xA800,
/* [110] */	0x7C, 0x0000, 0xFFFF, 0xAC00,
/* [111] */	0x7D, 0x0000, 0xFFFF, 0xB000,
/* [112] */	0x7E, 0x0000, 0xFFFF, 0xB400,
/* [113] */	0x7F, 0x0000, 0xFFFF, 0xB800,
/* [114] */	0x80, 0x0000, 0xFFFF, 0xBC00,
/* [115] */	0x81, 0x0000, 0xFFFF, 0xC000,
/* [116] */	0x82, 0x0000, 0xFFFF, 0xC400,
/* [117] */	0x83, 0x0000, 0xFFFF, 0xC800,
/* [118] */	0x84, 0x0000, 0xFFFF, 0xCC00,
/* [119] */	0x85, 0x0000, 0xFFFF, 0xD000,
/* [120] */	0x86, 0x0000, 0xFFFF, 0xD400,
/* [121] */	0x87, 0x0000, 0xFFFF, 0xD800,
/* [122] */	0x88, 0x0000, 0xFFFF, 0xDC00,
/* [123] */	0x89, 0x0000, 0xFFFF, 0xE000,
/* [124] */	0x8A, 0x0000, 0xFFFF, 0xE400,
/* [125] */	0x8B, 0x0000, 0xFFFF, 0xE800,
/* [126] */	0x8C, 0x0000, 0xFFFF, 0xEC00,
/* [127] */	0x8D, 0x0000, 0xFFFF, 0xF000,
/* [128] */	0x8E, 0x0000, 0xFFFF, 0xF400,
/* [129] */	0x8F, 0x0000, 0xFFFF, 0xF800,
/* [130] */	0x90, 0x0000, 0xFFFF, 0xFC00,
/* [131] */	0x91, 0x0000, 0xFFFF, 0xFFFF,	/* end of 2nd set. */
/* [132] */	0x92, 0x0000, 0x0000, 0xFFFF,
/* [133] */	0x93, 0x0400, 0x0000, 0xFFFF,
/* [134] */	0x94, 0x0800, 0x0000, 0xFFFF,
/* [135] */	0x95, 0x0C00, 0x0000, 0xFFFF,
/* [136] */	0x96, 0x1000, 0x0000, 0xFFFF,
/* [137] */	0x97, 0x1400, 0x0000, 0xFFFF,
/* [138] */	0x98, 0x1800, 0x0000, 0xFFFF,
/* [139] */	0x99, 0x1C00, 0x0000, 0xFFFF,
/* [140] */	0x9A, 0x2000, 0x0000, 0xFFFF,
/* [141] */	0x9B, 0x2400, 0x0000, 0xFFFF,
/* [142] */	0x9C, 0x2800, 0x0000, 0xFFFF,
/* [143] */	0x9D, 0x2C00, 0x0000, 0xFFFF,
/* [144] */	0x9E, 0x3000, 0x0000, 0xFFFF,
/* [145] */	0x9F, 0x3400, 0x0000, 0xFFFF,
/* [146] */	0xA0, 0x3800, 0x0000, 0xFFFF,
/* [147] */	0xA1, 0x3C00, 0x0000, 0xFFFF,
/* [148] */	0xA2, 0x4000, 0x0000, 0xFFFF,
/* [149] */	0xA3, 0x4400, 0x0000, 0xFFFF,
/* [150] */	0xA4, 0x4800, 0x0000, 0xFFFF,
/* [151] */	0xA5, 0x4C00, 0x0000, 0xFFFF,
/* [152] */	0xA6, 0x5000, 0x0000, 0xFFFF,
/* [153] */	0xA7, 0x5400, 0x0000, 0xFFFF,
/* [154] */	0xA8, 0x5800, 0x0000, 0xFFFF,
/* [155] */	0xA9, 0x5C00, 0x0000, 0xFFFF,
/* [156] */	0xAA, 0x6000, 0x0000, 0xFFFF,
/* [157] */	0xAB, 0x6400, 0x0000, 0xFFFF,
/* [158] */	0xAC, 0x6800, 0x0000, 0xFFFF,
/* [159] */	0xAD, 0x6C00, 0x0000, 0xFFFF,
/* [160] */	0xAE, 0x7000, 0x0000, 0xFFFF,
/* [161] */	0xAF, 0x7400, 0x0000, 0xFFFF,
/* [162] */	0xB0, 0x7800, 0x0000, 0xFFFF,
/* [163] */	0xB1, 0x7C00, 0x0000, 0xFFFF,
/* [164] */	0xB2, 0x8000, 0x0000, 0xFFFF,
/* [165] */	0xB3, 0x8400, 0x0000, 0xFFFF,
/* [166] */	0xB4, 0x8800, 0x0000, 0xFFFF,
/* [167] */	0xB5, 0x8C00, 0x0000, 0xFFFF,
/* [168] */	0xB6, 0x9000, 0x0000, 0xFFFF,
/* [169] */	0xB7, 0x9400, 0x0000, 0xFFFF,
/* [170] */	0xB8, 0x9800, 0x0000, 0xFFFF,
/* [171] */	0xB9, 0x9C00, 0x0000, 0xFFFF,
/* [172] */	0xBA, 0xA000, 0x0000, 0xFFFF,
/* [173] */	0xBB, 0xA400, 0x0000, 0xFFFF,
/* [174] */	0xBC, 0xA800, 0x0000, 0xFFFF,
/* [175] */	0xBD, 0xAC00, 0x0000, 0xFFFF,
/* [176] */	0xBE, 0xB000, 0x0000, 0xFFFF,
/* [177] */	0xBF, 0xB400, 0x0000, 0xFFFF,
/* [178] */	0xC0, 0xB800, 0x0000, 0xFFFF,
/* [179] */	0xC1, 0xBC00, 0x0000, 0xFFFF,
/* [180] */	0xC2, 0xC000, 0x0000, 0xFFFF,
/* [181] */	0xC3, 0xC400, 0x0000, 0xFFFF,
/* [182] */	0xC4, 0xC800, 0x0000, 0xFFFF,
/* [183] */	0xC5, 0xCC00, 0x0000, 0xFFFF,
/* [184] */	0xC6, 0xD000, 0x0000, 0xFFFF,
/* [185] */	0xC7, 0xD400, 0x0000, 0xFFFF,
/* [186] */	0xC8, 0xD800, 0x0000, 0xFFFF,
/* [187] */	0xC9, 0xDC00, 0x0000, 0xFFFF,
/* [188] */	0xCA, 0xE000, 0x0000, 0xFFFF,
/* [189] */	0xCB, 0xE400, 0x0000, 0xFFFF,
/* [190] */	0xCC, 0xE800, 0x0000, 0xFFFF,
/* [191] */	0xCD, 0xEC00, 0x0000, 0xFFFF,
/* [192] */	0xCE, 0xF000, 0x0000, 0xFFFF,
/* [193] */	0xCF, 0xF400, 0x0000, 0xFFFF,
/* [194] */	0xD0, 0xF800, 0x0000, 0xFFFF,
/* [195] */	0xD1, 0xFC00, 0x0000, 0xFFFF,
/* [196] */	0xD2, 0xFFFF, 0x0000, 0xFFFF,	/* end of 3rd set. */

/*
	The extra colors in the system palette.  Not needed really in this version, but
	they dont hurt.
*/

/* [197] */	0x02, 0xC000, 0xC000, 0xC000,	// light gray
/* [198] */	0x03, 0x8000, 0x8000, 0x8000,	// medium gray
/* [199] */	0x04, 0x4000, 0x4000, 0x4000,	// dark gray
/* [200] */	0x05, 0xDD6B, 0x08C2, 0x06A2,	// Apple red
/* [201] */	0x06, 0xFFFF, 0x648A, 0x028C,	// Apple orange
/* [202] */	0x07, 0xFC00, 0xF37D, 0x052F,	// Apple yellow
/* [203] */	0x08, 0x1F21, 0xB793, 0x1431,	// Apple green
/* [204] */	0x09, 0x0000, 0x0000, 0xD400,	// Apple blue
/* [205] */	0x0A, 0x46E3, 0x0000, 0xA53E,	// Apple violet
/* [206] */	0x0B, 0xF2D7, 0x0856, 0x84EC,
/* [207] */	0x0C, 0x90D7, 0x7160, 0x3A34,
/* [208] */	0x0D, 0x0241, 0xAB54, 0xEAFF,
/* [209] */	0x0E, 0x0000, 0x64AF, 0x11B0,
/* [210] */	0x0F, 0x5600, 0x2C9D, 0x0524,

/*
	Now we have filler colors for the offscreen color table.  These are never used,
	but have to be here in order to ensure that the color table this becomes is a
	valid one from the color QD perspective.  If that code hates it, we will too.
	This will fill the table out to be a full 256 colors.
*/

/* [211] */	0xD3, 0xAAAA, 0x5555, 0xAAAA,		/* a weird number to set it apart, easier debugging. */
/* [212] */	0xD4, 0xAAAA, 0x5555, 0xAAAA,
/* [213] */	0xD5, 0xAAAA, 0x5555, 0xAAAA,
/* [214] */	0xD6, 0xAAAA, 0x5555, 0xAAAA,
/* [215] */	0xD7, 0xAAAA, 0x5555, 0xAAAA,
/* [216] */	0xD8, 0xAAAA, 0x5555, 0xAAAA,
/* [217] */	0xD9, 0xAAAA, 0x5555, 0xAAAA,
/* [218] */	0xDA, 0xAAAA, 0x5555, 0xAAAA,
/* [219] */	0xDB, 0xAAAA, 0x5555, 0xAAAA,
/* [220] */	0xDC, 0xAAAA, 0x5555, 0xAAAA,
/* [221] */	0xDD, 0xAAAA, 0x5555, 0xAAAA,
/* [222] */	0xDE, 0xAAAA, 0x5555, 0xAAAA,
/* [223] */	0xDF, 0xAAAA, 0x5555, 0xAAAA,
/* [224] */	0xE0, 0xAAAA, 0x5555, 0xAAAA,
/* [225] */	0xE1, 0xAAAA, 0x5555, 0xAAAA,
/* [226] */	0xE2, 0xAAAA, 0x5555, 0xAAAA,
/* [227] */	0xE3, 0xAAAA, 0x5555, 0xAAAA,
/* [228] */	0xE4, 0xAAAA, 0x5555, 0xAAAA,
/* [229] */	0xE5, 0xAAAA, 0x5555, 0xAAAA,
/* [230] */	0xE6, 0xAAAA, 0x5555, 0xAAAA,
/* [231] */	0xE7, 0xAAAA, 0x5555, 0xAAAA,
/* [232] */	0xE8, 0xAAAA, 0x5555, 0xAAAA,
/* [233] */	0xE9, 0xAAAA, 0x5555, 0xAAAA,
/* [234] */	0xEA, 0xAAAA, 0x5555, 0xAAAA,
/* [235] */	0xEB, 0xAAAA, 0x5555, 0xAAAA,
/* [236] */	0xEC, 0xAAAA, 0x5555, 0xAAAA,
/* [237] */	0xED, 0xAAAA, 0x5555, 0xAAAA,
/* [238] */	0xEE, 0xAAAA, 0x5555, 0xAAAA,
/* [239] */	0xEF, 0xAAAA, 0x5555, 0xAAAA,
/* [240] */	0xF0, 0xAAAA, 0x5555, 0xAAAA,
/* [241] */	0xF1, 0xAAAA, 0x5555, 0xAAAA,
/* [242] */	0xF2, 0xAAAA, 0x5555, 0xAAAA,
/* [243] */	0xF3, 0xAAAA, 0x5555, 0xAAAA,
/* [244] */	0xF4, 0xAAAA, 0x5555, 0xAAAA,
/* [245] */	0xF5, 0xAAAA, 0x5555, 0xAAAA,
/* [246] */	0xF6, 0xAAAA, 0x5555, 0xAAAA,
/* [247] */	0xF7, 0xAAAA, 0x5555, 0xAAAA,
/* [248] */	0xF8, 0xAAAA, 0x5555, 0xAAAA,
/* [249] */	0xF9, 0xAAAA, 0x5555, 0xAAAA,
/* [250] */	0xFA, 0xAAAA, 0x5555, 0xAAAA,
/* [251] */	0xFB, 0xAAAA, 0x5555, 0xAAAA,
/* [252] */	0xFC, 0xAAAA, 0x5555, 0xAAAA,
/* [253] */	0xFD, 0xAAAA, 0x5555, 0xAAAA,
/* [254] */	0xFE, 0xAAAA, 0x5555, 0xAAAA,
/* [255] */	0xFF, 0xAAAA, 0x5555, 0xAAAA,
/* [256] */	0x01, 0x0000, 0x0000, 0x0000	/* end of set is black. */
	}
};

/* ==========================   Palettes ('pltt')   ============================ */

/*
	Now a palette that is associated with every window automatically when the
	window is opened.  Early in our program, we read our palette in and set it as
	the default application palette. If we cant do this (because we arent running
	under at least System 6.0.2), then we just read in a palette when we need one,
	and do a SetPalette with it.

	We have two palettes here. One is for non-32-Bit Color QuickDraw Systems. Under
	those systems, we have to have a whole bunch of Tolerant(0) entries to make
	sure that we get the colors we want. However, if we do have 32-Bit Color
	QuickDraw, then we use a palette with Animated entries. This is because we can
	coerce 32BCQD to match those when we transfer from our offscreen PixMap to the
	Window.

	These palettes are very mellow, just the first 16 colors as the standard color
	palette.  The first 16 colors are there so that in lower depths we will use a
	known set of colors, and while we are using known colors we might as well make
	them ones that will help avoid spurious color updates.  This is the system
	palette. Anybody using the default colors will get these helping them to look
	better.

	The rest of the colors in the palettes are the same as the ones we use in our
	offscreen color lookup table.
*/

resource 'pltt' (kTolerantPalette,
#if qNames
	"Tolerant Palette",
#endif
	preload, nonpurgeable) {
	{	/* array ColorInfo: 211 elements */
/* [1] */	0xFFFF, 0xFFFF, 0xFFFF, pmTolerant, 0,	/* white as first guy. */
/* [2] */	0x0000, 0x0000, 0x0000, pmTolerant, 0,	/* black as 2nd guy.  */
/* [3] */	0xC000, 0xC000, 0xC000, pmTolerant, 0,	/* next 14 entries from system pallette */
/* [4] */	0x8000, 0x8000, 0x8000, pmTolerant, 0,	/* all set as tolerant 0 to ensure */
/* [5] */	0x4000, 0x4000, 0x4000, pmTolerant, 0,	/* ...they are always there. */
/* [6] */	0xDD6B, 0x08C2, 0x06A2, pmTolerant, 0,
/* [7] */	0xFFFF, 0x648A, 0x028C, pmTolerant, 0,
/* [8] */	0xFC00, 0xF37D, 0x052F, pmTolerant, 0,
/* [9] */	0x1F21, 0xB793, 0x1431, pmTolerant, 0,
/* [10] */	0x0000, 0x0000, 0xD400, pmTolerant, 0,
/* [11] */	0x46E3, 0x0000, 0xA53E, pmTolerant, 0,
/* [12] */	0xF2D7, 0x0856, 0x84EC, pmTolerant, 0,
/* [13] */	0x90D7, 0x7160, 0x3A34, pmTolerant, 0,
/* [14] */	0x0241, 0xAB54, 0xEAFF, pmTolerant, 0,
/* [15] */	0x0000, 0x64AF, 0x11B0, pmTolerant, 0,
/* [16] */	0x5600, 0x2C9D, 0x0524, pmTolerant, 0,	/* end of standard palette */
/* [17] */	0xFFFF, 0x0000, 0x0000, pmTolerant, 0,	/* start with red. */
/* [18] */	0xFFFF, 0x0400, 0x0000, pmTolerant, 0,
/* [19] */	0xFFFF, 0x0800, 0x0000, pmTolerant, 0,
/* [20] */	0xFFFF, 0x0C00, 0x0000, pmTolerant, 0,
/* [21] */	0xFFFF, 0x1000, 0x0000, pmTolerant, 0,
/* [22] */	0xFFFF, 0x1400, 0x0000, pmTolerant, 0,
/* [23] */	0xFFFF, 0x1800, 0x0000, pmTolerant, 0,
/* [24] */	0xFFFF, 0x1C00, 0x0000, pmTolerant, 0,
/* [25] */	0xFFFF, 0x2000, 0x0000, pmTolerant, 0,
/* [26] */	0xFFFF, 0x2400, 0x0000, pmTolerant, 0,
/* [27] */	0xFFFF, 0x2800, 0x0000, pmTolerant, 0,
/* [28] */	0xFFFF, 0x2C00, 0x0000, pmTolerant, 0,
/* [29] */	0xFFFF, 0x3000, 0x0000, pmTolerant, 0,
/* [30] */	0xFFFF, 0x3400, 0x0000, pmTolerant, 0,
/* [31] */	0xFFFF, 0x3800, 0x0000, pmTolerant, 0,
/* [32] */	0xFFFF, 0x3C00, 0x0000, pmTolerant, 0,
/* [33] */	0xFFFF, 0x4000, 0x0000, pmTolerant, 0,
/* [34] */	0xFFFF, 0x4400, 0x0000, pmTolerant, 0,
/* [35] */	0xFFFF, 0x4800, 0x0000, pmTolerant, 0,
/* [36] */	0xFFFF, 0x4C00, 0x0000, pmTolerant, 0,
/* [37] */	0xFFFF, 0x5000, 0x0000, pmTolerant, 0,
/* [38] */	0xFFFF, 0x5400, 0x0000, pmTolerant, 0,
/* [39] */	0xFFFF, 0x5800, 0x0000, pmTolerant, 0,
/* [40] */	0xFFFF, 0x5C00, 0x0000, pmTolerant, 0,
/* [41] */	0xFFFF, 0x6000, 0x0000, pmTolerant, 0,
/* [42] */	0xFFFF, 0x6400, 0x0000, pmTolerant, 0,
/* [43] */	0xFFFF, 0x6800, 0x0000, pmTolerant, 0,
/* [44] */	0xFFFF, 0x6C00, 0x0000, pmTolerant, 0,
/* [45] */	0xFFFF, 0x7000, 0x0000, pmTolerant, 0,
/* [46] */	0xFFFF, 0x7400, 0x0000, pmTolerant, 0,
/* [47] */	0xFFFF, 0x7800, 0x0000, pmTolerant, 0,
/* [48] */	0xFFFF, 0x7C00, 0x0000, pmTolerant, 0,
/* [49] */	0xFFFF, 0x8000, 0x0000, pmTolerant, 0,
/* [50] */	0xFFFF, 0x8400, 0x0000, pmTolerant, 0,
/* [51] */	0xFFFF, 0x8800, 0x0000, pmTolerant, 0,
/* [52] */	0xFFFF, 0x8C00, 0x0000, pmTolerant, 0,
/* [53] */	0xFFFF, 0x9000, 0x0000, pmTolerant, 0,
/* [54] */	0xFFFF, 0x9400, 0x0000, pmTolerant, 0,
/* [55] */	0xFFFF, 0x9800, 0x0000, pmTolerant, 0,
/* [56] */	0xFFFF, 0x9C00, 0x0000, pmTolerant, 0,
/* [57] */	0xFFFF, 0xA000, 0x0000, pmTolerant, 0,
/* [58] */	0xFFFF, 0xA400, 0x0000, pmTolerant, 0,
/* [59] */	0xFFFF, 0xA800, 0x0000, pmTolerant, 0,
/* [60] */	0xFFFF, 0xAC00, 0x0000, pmTolerant, 0,
/* [61] */	0xFFFF, 0xB000, 0x0000, pmTolerant, 0,
/* [62] */	0xFFFF, 0xB400, 0x0000, pmTolerant, 0,
/* [63] */	0xFFFF, 0xB800, 0x0000, pmTolerant, 0,
/* [64] */	0xFFFF, 0xBC00, 0x0000, pmTolerant, 0,
/* [65] */	0xFFFF, 0xC000, 0x0000, pmTolerant, 0,
/* [66] */	0xFFFF, 0xC400, 0x0000, pmTolerant, 0,
/* [67] */	0xFFFF, 0xC800, 0x0000, pmTolerant, 0,
/* [68] */	0xFFFF, 0xCC00, 0x0000, pmTolerant, 0,
/* [69] */	0xFFFF, 0xD000, 0x0000, pmTolerant, 0,
/* [70] */	0xFFFF, 0xD400, 0x0000, pmTolerant, 0,
/* [71] */	0xFFFF, 0xD800, 0x0000, pmTolerant, 0,
/* [72] */	0xFFFF, 0xDC00, 0x0000, pmTolerant, 0,
/* [73] */	0xFFFF, 0xE000, 0x0000, pmTolerant, 0,
/* [74] */	0xFFFF, 0xE400, 0x0000, pmTolerant, 0,
/* [75] */	0xFFFF, 0xE800, 0x0000, pmTolerant, 0,
/* [76] */	0xFFFF, 0xEC00, 0x0000, pmTolerant, 0,
/* [77] */	0xFFFF, 0xF000, 0x0000, pmTolerant, 0,
/* [78] */	0xFFFF, 0xF400, 0x0000, pmTolerant, 0,
/* [79] */	0xFFFF, 0xF800, 0x0000, pmTolerant, 0,
/* [80] */	0xFFFF, 0xFC00, 0x0000, pmTolerant, 0,
/* [81] */	0xFFFF, 0xFFFF, 0x0000, pmTolerant, 0,	/* end of first set. */
/* [82] */	0x0000, 0xFFFF, 0x0000, pmTolerant, 0,	/* second set is green */
/* [83] */	0x0000, 0xFFFF, 0x0400, pmTolerant, 0,
/* [84] */	0x0000, 0xFFFF, 0x0800, pmTolerant, 0,
/* [85] */	0x0000, 0xFFFF, 0x0C00, pmTolerant, 0,
/* [86] */	0x0000, 0xFFFF, 0x1000, pmTolerant, 0,
/* [87] */	0x0000, 0xFFFF, 0x1400, pmTolerant, 0,
/* [88] */	0x0000, 0xFFFF, 0x1800, pmTolerant, 0,
/* [89] */	0x0000, 0xFFFF, 0x1C00, pmTolerant, 0,
/* [90] */	0x0000, 0xFFFF, 0x2000, pmTolerant, 0,
/* [91] */	0x0000, 0xFFFF, 0x2400, pmTolerant, 0,
/* [92] */	0x0000, 0xFFFF, 0x2800, pmTolerant, 0,
/* [93] */	0x0000, 0xFFFF, 0x2C00, pmTolerant, 0,
/* [94] */	0x0000, 0xFFFF, 0x3000, pmTolerant, 0,
/* [95] */	0x0000, 0xFFFF, 0x3400, pmTolerant, 0,
/* [96] */	0x0000, 0xFFFF, 0x3800, pmTolerant, 0,
/* [97] */	0x0000, 0xFFFF, 0x3C00, pmTolerant, 0,
/* [98] */	0x0000, 0xFFFF, 0x4000, pmTolerant, 0,
/* [99] */	0x0000, 0xFFFF, 0x4400, pmTolerant, 0,
/* [100] */	0x0000, 0xFFFF, 0x4800, pmTolerant, 0,
/* [101] */	0x0000, 0xFFFF, 0x4C00, pmTolerant, 0,
/* [102] */	0x0000, 0xFFFF, 0x5000, pmTolerant, 0,
/* [103] */	0x0000, 0xFFFF, 0x5400, pmTolerant, 0,
/* [104] */	0x0000, 0xFFFF, 0x5800, pmTolerant, 0,
/* [105] */	0x0000, 0xFFFF, 0x5C00, pmTolerant, 0,
/* [106] */	0x0000, 0xFFFF, 0x6000, pmTolerant, 0,
/* [107] */	0x0000, 0xFFFF, 0x6400, pmTolerant, 0,
/* [108] */	0x0000, 0xFFFF, 0x6800, pmTolerant, 0,
/* [109] */	0x0000, 0xFFFF, 0x6C00, pmTolerant, 0,
/* [110] */	0x0000, 0xFFFF, 0x7000, pmTolerant, 0,
/* [111] */	0x0000, 0xFFFF, 0x7400, pmTolerant, 0,
/* [112] */	0x0000, 0xFFFF, 0x7800, pmTolerant, 0,
/* [113] */	0x0000, 0xFFFF, 0x7C00, pmTolerant, 0,
/* [114] */	0x0000, 0xFFFF, 0x8000, pmTolerant, 0,
/* [115] */	0x0000, 0xFFFF, 0x8400, pmTolerant, 0,
/* [116] */	0x0000, 0xFFFF, 0x8800, pmTolerant, 0,
/* [117] */	0x0000, 0xFFFF, 0x8C00, pmTolerant, 0,
/* [118] */	0x0000, 0xFFFF, 0x9000, pmTolerant, 0,
/* [119] */	0x0000, 0xFFFF, 0x9400, pmTolerant, 0,
/* [120] */	0x0000, 0xFFFF, 0x9800, pmTolerant, 0,
/* [121] */	0x0000, 0xFFFF, 0x9C00, pmTolerant, 0,
/* [122] */	0x0000, 0xFFFF, 0xA000, pmTolerant, 0,
/* [123] */	0x0000, 0xFFFF, 0xA400, pmTolerant, 0,
/* [124] */	0x0000, 0xFFFF, 0xA800, pmTolerant, 0,
/* [125] */	0x0000, 0xFFFF, 0xAC00, pmTolerant, 0,
/* [126] */	0x0000, 0xFFFF, 0xB000, pmTolerant, 0,
/* [127] */	0x0000, 0xFFFF, 0xB400, pmTolerant, 0,
/* [128] */	0x0000, 0xFFFF, 0xB800, pmTolerant, 0,
/* [129] */	0x0000, 0xFFFF, 0xBC00, pmTolerant, 0,
/* [130] */	0x0000, 0xFFFF, 0xC000, pmTolerant, 0,
/* [131] */	0x0000, 0xFFFF, 0xC400, pmTolerant, 0,
/* [132] */	0x0000, 0xFFFF, 0xC800, pmTolerant, 0,
/* [133] */	0x0000, 0xFFFF, 0xCC00, pmTolerant, 0,
/* [134] */	0x0000, 0xFFFF, 0xD000, pmTolerant, 0,
/* [135] */	0x0000, 0xFFFF, 0xD400, pmTolerant, 0,
/* [136] */	0x0000, 0xFFFF, 0xD800, pmTolerant, 0,
/* [137] */	0x0000, 0xFFFF, 0xDC00, pmTolerant, 0,
/* [138] */	0x0000, 0xFFFF, 0xE000, pmTolerant, 0,
/* [139] */	0x0000, 0xFFFF, 0xE400, pmTolerant, 0,
/* [140] */	0x0000, 0xFFFF, 0xE800, pmTolerant, 0,
/* [141] */	0x0000, 0xFFFF, 0xEC00, pmTolerant, 0,
/* [142] */	0x0000, 0xFFFF, 0xF000, pmTolerant, 0,
/* [143] */	0x0000, 0xFFFF, 0xF400, pmTolerant, 0,
/* [144] */	0x0000, 0xFFFF, 0xF800, pmTolerant, 0,
/* [145] */	0x0000, 0xFFFF, 0xFC00, pmTolerant, 0,
/* [146] */	0x0000, 0xFFFF, 0xFFFF, pmTolerant, 0,	/* end of second set */
/* [147] */	0x0000, 0x0000, 0xFFFF, pmTolerant, 0,	/* final set is blue */
/* [148] */	0x0400, 0x0000, 0xFFFF, pmTolerant, 0,
/* [149] */	0x0800, 0x0000, 0xFFFF, pmTolerant, 0,
/* [150] */	0x0C00, 0x0000, 0xFFFF, pmTolerant, 0,
/* [151] */	0x1000, 0x0000, 0xFFFF, pmTolerant, 0,
/* [152] */	0x1400, 0x0000, 0xFFFF, pmTolerant, 0,
/* [153] */	0x1800, 0x0000, 0xFFFF, pmTolerant, 0,
/* [154] */	0x1C00, 0x0000, 0xFFFF, pmTolerant, 0,
/* [155] */	0x2000, 0x0000, 0xFFFF, pmTolerant, 0,
/* [156] */	0x2400, 0x0000, 0xFFFF, pmTolerant, 0,
/* [157] */	0x2800, 0x0000, 0xFFFF, pmTolerant, 0,
/* [158] */	0x2C00, 0x0000, 0xFFFF, pmTolerant, 0,
/* [159] */	0x3000, 0x0000, 0xFFFF, pmTolerant, 0,
/* [160] */	0x3400, 0x0000, 0xFFFF, pmTolerant, 0,
/* [161] */	0x3800, 0x0000, 0xFFFF, pmTolerant, 0,
/* [162] */	0x3C00, 0x0000, 0xFFFF, pmTolerant, 0,
/* [163] */	0x4000, 0x0000, 0xFFFF, pmTolerant, 0,
/* [164] */	0x4400, 0x0000, 0xFFFF, pmTolerant, 0,
/* [165] */	0x4800, 0x0000, 0xFFFF, pmTolerant, 0,
/* [166] */	0x4C00, 0x0000, 0xFFFF, pmTolerant, 0,
/* [167] */	0x5000, 0x0000, 0xFFFF, pmTolerant, 0,
/* [168] */	0x5400, 0x0000, 0xFFFF, pmTolerant, 0,
/* [169] */	0x5800, 0x0000, 0xFFFF, pmTolerant, 0,
/* [170] */	0x5C00, 0x0000, 0xFFFF, pmTolerant, 0,
/* [171] */	0x6000, 0x0000, 0xFFFF, pmTolerant, 0,
/* [172] */	0x6400, 0x0000, 0xFFFF, pmTolerant, 0,
/* [173] */	0x6800, 0x0000, 0xFFFF, pmTolerant, 0,
/* [174] */	0x6C00, 0x0000, 0xFFFF, pmTolerant, 0,
/* [175] */	0x7000, 0x0000, 0xFFFF, pmTolerant, 0,
/* [176] */	0x7400, 0x0000, 0xFFFF, pmTolerant, 0,
/* [177] */	0x7800, 0x0000, 0xFFFF, pmTolerant, 0,
/* [178] */	0x7C00, 0x0000, 0xFFFF, pmTolerant, 0,
/* [179] */	0x8000, 0x0000, 0xFFFF, pmTolerant, 0,
/* [180] */	0x8400, 0x0000, 0xFFFF, pmTolerant, 0,
/* [181] */	0x8800, 0x0000, 0xFFFF, pmTolerant, 0,
/* [182] */	0x8C00, 0x0000, 0xFFFF, pmTolerant, 0,
/* [183] */	0x9000, 0x0000, 0xFFFF, pmTolerant, 0,
/* [184] */	0x9400, 0x0000, 0xFFFF, pmTolerant, 0,
/* [185] */	0x9800, 0x0000, 0xFFFF, pmTolerant, 0,
/* [186] */	0x9C00, 0x0000, 0xFFFF, pmTolerant, 0,
/* [187] */	0xA000, 0x0000, 0xFFFF, pmTolerant, 0,
/* [188] */	0xA400, 0x0000, 0xFFFF, pmTolerant, 0,
/* [189] */	0xA800, 0x0000, 0xFFFF, pmTolerant, 0,
/* [190] */	0xAC00, 0x0000, 0xFFFF, pmTolerant, 0,
/* [191] */	0xB000, 0x0000, 0xFFFF, pmTolerant, 0,
/* [192] */	0xB400, 0x0000, 0xFFFF, pmTolerant, 0,
/* [193] */	0xB800, 0x0000, 0xFFFF, pmTolerant, 0,
/* [194] */	0xBC00, 0x0000, 0xFFFF, pmTolerant, 0,
/* [195] */	0xC000, 0x0000, 0xFFFF, pmTolerant, 0,
/* [196] */	0xC400, 0x0000, 0xFFFF, pmTolerant, 0,
/* [197] */	0xC800, 0x0000, 0xFFFF, pmTolerant, 0,
/* [198] */	0xCC00, 0x0000, 0xFFFF, pmTolerant, 0,
/* [199] */	0xD000, 0x0000, 0xFFFF, pmTolerant, 0,
/* [200] */	0xD400, 0x0000, 0xFFFF, pmTolerant, 0,
/* [201] */	0xD800, 0x0000, 0xFFFF, pmTolerant, 0,
/* [202] */	0xDC00, 0x0000, 0xFFFF, pmTolerant, 0,
/* [203] */	0xE000, 0x0000, 0xFFFF, pmTolerant, 0,
/* [204] */	0xE400, 0x0000, 0xFFFF, pmTolerant, 0,
/* [205] */	0xE800, 0x0000, 0xFFFF, pmTolerant, 0,
/* [206] */	0xEC00, 0x0000, 0xFFFF, pmTolerant, 0,
/* [207] */	0xF000, 0x0000, 0xFFFF, pmTolerant, 0,
/* [208] */	0xF400, 0x0000, 0xFFFF, pmTolerant, 0,
/* [209] */	0xF800, 0x0000, 0xFFFF, pmTolerant, 0,
/* [210] */	0xFC00, 0x0000, 0xFFFF, pmTolerant, 0,
/* [211] */	0xFFFF, 0x0000, 0xFFFF, pmTolerant, 0
	}
};

resource 'pltt' (kAnimatingPalette,
#if qNames
	"Animating Palette",
#endif
	preload, nonpurgeable) {
	{	/* array ColorInfo: 211 elements */
/* [1] */	0xFFFF, 0xFFFF, 0xFFFF, pmTolerant, 0,	/* white as first guy. */
/* [2] */	0x0000, 0x0000, 0x0000, pmTolerant, 0,	/* black as 2nd guy.  */
/* [3] */	0xC000, 0xC000, 0xC000, pmTolerant, 0,	/* next 14 entries from system pallette */
/* [4] */	0x8000, 0x8000, 0x8000, pmTolerant, 0,	/* all set as tolerant 0 to ensure */
/* [5] */	0x4000, 0x4000, 0x4000, pmTolerant, 0,	/* ...they are always there. */
/* [6] */	0xDD6B, 0x08C2, 0x06A2, pmTolerant, 0,
/* [7] */	0xFFFF, 0x648A, 0x028C, pmTolerant, 0,
/* [8] */	0xFC00, 0xF37D, 0x052F, pmTolerant, 0,
/* [9] */	0x1F21, 0xB793, 0x1431, pmTolerant, 0,
/* [10] */	0x0000, 0x0000, 0xD400, pmTolerant, 0,
/* [11] */	0x46E3, 0x0000, 0xA53E, pmTolerant, 0,
/* [12] */	0xF2D7, 0x0856, 0x84EC, pmTolerant, 0,
/* [13] */	0x90D7, 0x7160, 0x3A34, pmTolerant, 0,
/* [14] */	0x0241, 0xAB54, 0xEAFF, pmTolerant, 0,
/* [15] */	0x0000, 0x64AF, 0x11B0, pmTolerant, 0,
/* [16] */	0x5600, 0x2C9D, 0x0524, pmTolerant, 0,	/* end of standard palette */
/* [17] */	0xFFFF, 0x0000, 0x0000, pmAnimated, 0,	/* start with red. */
/* [18] */	0xFFFF, 0x0400, 0x0000, pmAnimated, 0,
/* [19] */	0xFFFF, 0x0800, 0x0000, pmAnimated, 0,
/* [20] */	0xFFFF, 0x0C00, 0x0000, pmAnimated, 0,
/* [21] */	0xFFFF, 0x1000, 0x0000, pmAnimated, 0,
/* [22] */	0xFFFF, 0x1400, 0x0000, pmAnimated, 0,
/* [23] */	0xFFFF, 0x1800, 0x0000, pmAnimated, 0,
/* [24] */	0xFFFF, 0x1C00, 0x0000, pmAnimated, 0,
/* [25] */	0xFFFF, 0x2000, 0x0000, pmAnimated, 0,
/* [26] */	0xFFFF, 0x2400, 0x0000, pmAnimated, 0,
/* [27] */	0xFFFF, 0x2800, 0x0000, pmAnimated, 0,
/* [28] */	0xFFFF, 0x2C00, 0x0000, pmAnimated, 0,
/* [29] */	0xFFFF, 0x3000, 0x0000, pmAnimated, 0,
/* [30] */	0xFFFF, 0x3400, 0x0000, pmAnimated, 0,
/* [31] */	0xFFFF, 0x3800, 0x0000, pmAnimated, 0,
/* [32] */	0xFFFF, 0x3C00, 0x0000, pmAnimated, 0,
/* [33] */	0xFFFF, 0x4000, 0x0000, pmAnimated, 0,
/* [34] */	0xFFFF, 0x4400, 0x0000, pmAnimated, 0,
/* [35] */	0xFFFF, 0x4800, 0x0000, pmAnimated, 0,
/* [36] */	0xFFFF, 0x4C00, 0x0000, pmAnimated, 0,
/* [37] */	0xFFFF, 0x5000, 0x0000, pmAnimated, 0,
/* [38] */	0xFFFF, 0x5400, 0x0000, pmAnimated, 0,
/* [39] */	0xFFFF, 0x5800, 0x0000, pmAnimated, 0,
/* [40] */	0xFFFF, 0x5C00, 0x0000, pmAnimated, 0,
/* [41] */	0xFFFF, 0x6000, 0x0000, pmAnimated, 0,
/* [42] */	0xFFFF, 0x6400, 0x0000, pmAnimated, 0,
/* [43] */	0xFFFF, 0x6800, 0x0000, pmAnimated, 0,
/* [44] */	0xFFFF, 0x6C00, 0x0000, pmAnimated, 0,
/* [45] */	0xFFFF, 0x7000, 0x0000, pmAnimated, 0,
/* [46] */	0xFFFF, 0x7400, 0x0000, pmAnimated, 0,
/* [47] */	0xFFFF, 0x7800, 0x0000, pmAnimated, 0,
/* [48] */	0xFFFF, 0x7C00, 0x0000, pmAnimated, 0,
/* [49] */	0xFFFF, 0x8000, 0x0000, pmAnimated, 0,
/* [50] */	0xFFFF, 0x8400, 0x0000, pmAnimated, 0,
/* [51] */	0xFFFF, 0x8800, 0x0000, pmAnimated, 0,
/* [52] */	0xFFFF, 0x8C00, 0x0000, pmAnimated, 0,
/* [53] */	0xFFFF, 0x9000, 0x0000, pmAnimated, 0,
/* [54] */	0xFFFF, 0x9400, 0x0000, pmAnimated, 0,
/* [55] */	0xFFFF, 0x9800, 0x0000, pmAnimated, 0,
/* [56] */	0xFFFF, 0x9C00, 0x0000, pmAnimated, 0,
/* [57] */	0xFFFF, 0xA000, 0x0000, pmAnimated, 0,
/* [58] */	0xFFFF, 0xA400, 0x0000, pmAnimated, 0,
/* [59] */	0xFFFF, 0xA800, 0x0000, pmAnimated, 0,
/* [60] */	0xFFFF, 0xAC00, 0x0000, pmAnimated, 0,
/* [61] */	0xFFFF, 0xB000, 0x0000, pmAnimated, 0,
/* [62] */	0xFFFF, 0xB400, 0x0000, pmAnimated, 0,
/* [63] */	0xFFFF, 0xB800, 0x0000, pmAnimated, 0,
/* [64] */	0xFFFF, 0xBC00, 0x0000, pmAnimated, 0,
/* [65] */	0xFFFF, 0xC000, 0x0000, pmAnimated, 0,
/* [66] */	0xFFFF, 0xC400, 0x0000, pmAnimated, 0,
/* [67] */	0xFFFF, 0xC800, 0x0000, pmAnimated, 0,
/* [68] */	0xFFFF, 0xCC00, 0x0000, pmAnimated, 0,
/* [69] */	0xFFFF, 0xD000, 0x0000, pmAnimated, 0,
/* [70] */	0xFFFF, 0xD400, 0x0000, pmAnimated, 0,
/* [71] */	0xFFFF, 0xD800, 0x0000, pmAnimated, 0,
/* [72] */	0xFFFF, 0xDC00, 0x0000, pmAnimated, 0,
/* [73] */	0xFFFF, 0xE000, 0x0000, pmAnimated, 0,
/* [74] */	0xFFFF, 0xE400, 0x0000, pmAnimated, 0,
/* [75] */	0xFFFF, 0xE800, 0x0000, pmAnimated, 0,
/* [76] */	0xFFFF, 0xEC00, 0x0000, pmAnimated, 0,
/* [77] */	0xFFFF, 0xF000, 0x0000, pmAnimated, 0,
/* [78] */	0xFFFF, 0xF400, 0x0000, pmAnimated, 0,
/* [79] */	0xFFFF, 0xF800, 0x0000, pmAnimated, 0,
/* [80] */	0xFFFF, 0xFC00, 0x0000, pmAnimated, 0,
/* [81] */	0xFFFF, 0xFFFF, 0x0000, pmAnimated, 0,	/* end of first set. */
/* [82] */	0x0000, 0xFFFF, 0x0000, pmAnimated, 0,	/* second set is green */
/* [83] */	0x0000, 0xFFFF, 0x0400, pmAnimated, 0,
/* [84] */	0x0000, 0xFFFF, 0x0800, pmAnimated, 0,
/* [85] */	0x0000, 0xFFFF, 0x0C00, pmAnimated, 0,
/* [86] */	0x0000, 0xFFFF, 0x1000, pmAnimated, 0,
/* [87] */	0x0000, 0xFFFF, 0x1400, pmAnimated, 0,
/* [88] */	0x0000, 0xFFFF, 0x1800, pmAnimated, 0,
/* [89] */	0x0000, 0xFFFF, 0x1C00, pmAnimated, 0,
/* [90] */	0x0000, 0xFFFF, 0x2000, pmAnimated, 0,
/* [91] */	0x0000, 0xFFFF, 0x2400, pmAnimated, 0,
/* [92] */	0x0000, 0xFFFF, 0x2800, pmAnimated, 0,
/* [93] */	0x0000, 0xFFFF, 0x2C00, pmAnimated, 0,
/* [94] */	0x0000, 0xFFFF, 0x3000, pmAnimated, 0,
/* [95] */	0x0000, 0xFFFF, 0x3400, pmAnimated, 0,
/* [96] */	0x0000, 0xFFFF, 0x3800, pmAnimated, 0,
/* [97] */	0x0000, 0xFFFF, 0x3C00, pmAnimated, 0,
/* [98] */	0x0000, 0xFFFF, 0x4000, pmAnimated, 0,
/* [99] */	0x0000, 0xFFFF, 0x4400, pmAnimated, 0,
/* [100] */	0x0000, 0xFFFF, 0x4800, pmAnimated, 0,
/* [101] */	0x0000, 0xFFFF, 0x4C00, pmAnimated, 0,
/* [102] */	0x0000, 0xFFFF, 0x5000, pmAnimated, 0,
/* [103] */	0x0000, 0xFFFF, 0x5400, pmAnimated, 0,
/* [104] */	0x0000, 0xFFFF, 0x5800, pmAnimated, 0,
/* [105] */	0x0000, 0xFFFF, 0x5C00, pmAnimated, 0,
/* [106] */	0x0000, 0xFFFF, 0x6000, pmAnimated, 0,
/* [107] */	0x0000, 0xFFFF, 0x6400, pmAnimated, 0,
/* [108] */	0x0000, 0xFFFF, 0x6800, pmAnimated, 0,
/* [109] */	0x0000, 0xFFFF, 0x6C00, pmAnimated, 0,
/* [110] */	0x0000, 0xFFFF, 0x7000, pmAnimated, 0,
/* [111] */	0x0000, 0xFFFF, 0x7400, pmAnimated, 0,
/* [112] */	0x0000, 0xFFFF, 0x7800, pmAnimated, 0,
/* [113] */	0x0000, 0xFFFF, 0x7C00, pmAnimated, 0,
/* [114] */	0x0000, 0xFFFF, 0x8000, pmAnimated, 0,
/* [115] */	0x0000, 0xFFFF, 0x8400, pmAnimated, 0,
/* [116] */	0x0000, 0xFFFF, 0x8800, pmAnimated, 0,
/* [117] */	0x0000, 0xFFFF, 0x8C00, pmAnimated, 0,
/* [118] */	0x0000, 0xFFFF, 0x9000, pmAnimated, 0,
/* [119] */	0x0000, 0xFFFF, 0x9400, pmAnimated, 0,
/* [120] */	0x0000, 0xFFFF, 0x9800, pmAnimated, 0,
/* [121] */	0x0000, 0xFFFF, 0x9C00, pmAnimated, 0,
/* [122] */	0x0000, 0xFFFF, 0xA000, pmAnimated, 0,
/* [123] */	0x0000, 0xFFFF, 0xA400, pmAnimated, 0,
/* [124] */	0x0000, 0xFFFF, 0xA800, pmAnimated, 0,
/* [125] */	0x0000, 0xFFFF, 0xAC00, pmAnimated, 0,
/* [126] */	0x0000, 0xFFFF, 0xB000, pmAnimated, 0,
/* [127] */	0x0000, 0xFFFF, 0xB400, pmAnimated, 0,
/* [128] */	0x0000, 0xFFFF, 0xB800, pmAnimated, 0,
/* [129] */	0x0000, 0xFFFF, 0xBC00, pmAnimated, 0,
/* [130] */	0x0000, 0xFFFF, 0xC000, pmAnimated, 0,
/* [131] */	0x0000, 0xFFFF, 0xC400, pmAnimated, 0,
/* [132] */	0x0000, 0xFFFF, 0xC800, pmAnimated, 0,
/* [133] */	0x0000, 0xFFFF, 0xCC00, pmAnimated, 0,
/* [134] */	0x0000, 0xFFFF, 0xD000, pmAnimated, 0,
/* [135] */	0x0000, 0xFFFF, 0xD400, pmAnimated, 0,
/* [136] */	0x0000, 0xFFFF, 0xD800, pmAnimated, 0,
/* [137] */	0x0000, 0xFFFF, 0xDC00, pmAnimated, 0,
/* [138] */	0x0000, 0xFFFF, 0xE000, pmAnimated, 0,
/* [139] */	0x0000, 0xFFFF, 0xE400, pmAnimated, 0,
/* [140] */	0x0000, 0xFFFF, 0xE800, pmAnimated, 0,
/* [141] */	0x0000, 0xFFFF, 0xEC00, pmAnimated, 0,
/* [142] */	0x0000, 0xFFFF, 0xF000, pmAnimated, 0,
/* [143] */	0x0000, 0xFFFF, 0xF400, pmAnimated, 0,
/* [144] */	0x0000, 0xFFFF, 0xF800, pmAnimated, 0,
/* [145] */	0x0000, 0xFFFF, 0xFC00, pmAnimated, 0,
/* [146] */	0x0000, 0xFFFF, 0xFFFF, pmAnimated, 0,	/* end of second set */
/* [147] */	0x0000, 0x0000, 0xFFFF, pmAnimated, 0,	/* final set is blue */
/* [148] */	0x0400, 0x0000, 0xFFFF, pmAnimated, 0,
/* [149] */	0x0800, 0x0000, 0xFFFF, pmAnimated, 0,
/* [150] */	0x0C00, 0x0000, 0xFFFF, pmAnimated, 0,
/* [151] */	0x1000, 0x0000, 0xFFFF, pmAnimated, 0,
/* [152] */	0x1400, 0x0000, 0xFFFF, pmAnimated, 0,
/* [153] */	0x1800, 0x0000, 0xFFFF, pmAnimated, 0,
/* [154] */	0x1C00, 0x0000, 0xFFFF, pmAnimated, 0,
/* [155] */	0x2000, 0x0000, 0xFFFF, pmAnimated, 0,
/* [156] */	0x2400, 0x0000, 0xFFFF, pmAnimated, 0,
/* [157] */	0x2800, 0x0000, 0xFFFF, pmAnimated, 0,
/* [158] */	0x2C00, 0x0000, 0xFFFF, pmAnimated, 0,
/* [159] */	0x3000, 0x0000, 0xFFFF, pmAnimated, 0,
/* [160] */	0x3400, 0x0000, 0xFFFF, pmAnimated, 0,
/* [161] */	0x3800, 0x0000, 0xFFFF, pmAnimated, 0,
/* [162] */	0x3C00, 0x0000, 0xFFFF, pmAnimated, 0,
/* [163] */	0x4000, 0x0000, 0xFFFF, pmAnimated, 0,
/* [164] */	0x4400, 0x0000, 0xFFFF, pmAnimated, 0,
/* [165] */	0x4800, 0x0000, 0xFFFF, pmAnimated, 0,
/* [166] */	0x4C00, 0x0000, 0xFFFF, pmAnimated, 0,
/* [167] */	0x5000, 0x0000, 0xFFFF, pmAnimated, 0,
/* [168] */	0x5400, 0x0000, 0xFFFF, pmAnimated, 0,
/* [169] */	0x5800, 0x0000, 0xFFFF, pmAnimated, 0,
/* [170] */	0x5C00, 0x0000, 0xFFFF, pmAnimated, 0,
/* [171] */	0x6000, 0x0000, 0xFFFF, pmAnimated, 0,
/* [172] */	0x6400, 0x0000, 0xFFFF, pmAnimated, 0,
/* [173] */	0x6800, 0x0000, 0xFFFF, pmAnimated, 0,
/* [174] */	0x6C00, 0x0000, 0xFFFF, pmAnimated, 0,
/* [175] */	0x7000, 0x0000, 0xFFFF, pmAnimated, 0,
/* [176] */	0x7400, 0x0000, 0xFFFF, pmAnimated, 0,
/* [177] */	0x7800, 0x0000, 0xFFFF, pmAnimated, 0,
/* [178] */	0x7C00, 0x0000, 0xFFFF, pmAnimated, 0,
/* [179] */	0x8000, 0x0000, 0xFFFF, pmAnimated, 0,
/* [180] */	0x8400, 0x0000, 0xFFFF, pmAnimated, 0,
/* [181] */	0x8800, 0x0000, 0xFFFF, pmAnimated, 0,
/* [182] */	0x8C00, 0x0000, 0xFFFF, pmAnimated, 0,
/* [183] */	0x9000, 0x0000, 0xFFFF, pmAnimated, 0,
/* [184] */	0x9400, 0x0000, 0xFFFF, pmAnimated, 0,
/* [185] */	0x9800, 0x0000, 0xFFFF, pmAnimated, 0,
/* [186] */	0x9C00, 0x0000, 0xFFFF, pmAnimated, 0,
/* [187] */	0xA000, 0x0000, 0xFFFF, pmAnimated, 0,
/* [188] */	0xA400, 0x0000, 0xFFFF, pmAnimated, 0,
/* [189] */	0xA800, 0x0000, 0xFFFF, pmAnimated, 0,
/* [190] */	0xAC00, 0x0000, 0xFFFF, pmAnimated, 0,
/* [191] */	0xB000, 0x0000, 0xFFFF, pmAnimated, 0,
/* [192] */	0xB400, 0x0000, 0xFFFF, pmAnimated, 0,
/* [193] */	0xB800, 0x0000, 0xFFFF, pmAnimated, 0,
/* [194] */	0xBC00, 0x0000, 0xFFFF, pmAnimated, 0,
/* [195] */	0xC000, 0x0000, 0xFFFF, pmAnimated, 0,
/* [196] */	0xC400, 0x0000, 0xFFFF, pmAnimated, 0,
/* [197] */	0xC800, 0x0000, 0xFFFF, pmAnimated, 0,
/* [198] */	0xCC00, 0x0000, 0xFFFF, pmAnimated, 0,
/* [199] */	0xD000, 0x0000, 0xFFFF, pmAnimated, 0,
/* [200] */	0xD400, 0x0000, 0xFFFF, pmAnimated, 0,
/* [201] */	0xD800, 0x0000, 0xFFFF, pmAnimated, 0,
/* [202] */	0xDC00, 0x0000, 0xFFFF, pmAnimated, 0,
/* [203] */	0xE000, 0x0000, 0xFFFF, pmAnimated, 0,
/* [204] */	0xE400, 0x0000, 0xFFFF, pmAnimated, 0,
/* [205] */	0xE800, 0x0000, 0xFFFF, pmAnimated, 0,
/* [206] */	0xEC00, 0x0000, 0xFFFF, pmAnimated, 0,
/* [207] */	0xF000, 0x0000, 0xFFFF, pmAnimated, 0,
/* [208] */	0xF400, 0x0000, 0xFFFF, pmAnimated, 0,
/* [209] */	0xF800, 0x0000, 0xFFFF, pmAnimated, 0,
/* [210] */	0xFC00, 0x0000, 0xFFFF, pmAnimated, 0,
/* [211] */	0xFFFF, 0x0000, 0xFFFF, pmAnimated, 0
	}
};

